## mupen64plus-arm-pa64 1

=== Makefile ===
#/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
# *   Mupen64plus - Makefile                                                *
# *   Mupen64Plus homepage: http://code.google.com/p/mupen64plus/           *
# *   Copyright (C) 2007-2008 Richard Goedeken (Richard42)                  *
# *                                                                         *
# *   This program is free software; you can redistribute it and/or modify  *
# *   it under the terms of the GNU General Public License as published by  *
# *   the Free Software Foundation; either version 2 of the License, or     *
# *   (at your option) any later version.                                   *
# *                                                                         *
# *   This program is distributed in the hope that it will be useful,       *
# *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
# *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
# *   GNU General Public License for more details.                          *
# *                                                                         *
# *   You should have received a copy of the GNU General Public License     *
# *   along with this program; if not, write to the                         *
# *   Free Software Foundation, Inc.,                                       *
# *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.          *
# * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

CUSTOM_CFLAGS ?= -O3 -Wall

# local CFLAGS, LIBS, and LDFLAGS
CFLAGS = $(CUSTOM_CFLAGS) -std=c99 -fpic -DPIC $(shell pkg-config --cflags libpulse-simple)
LDFLAGS = $(CUSTOM_LDFLAGS) --no-undefined
LDLIBS = $(CUSTOM_LDLIBS) $(shell pkg-config --libs libpulse-simple)

PLUGIN = pa64.so

# list of object files to generate
OBJECTS = pa64.o

# build targets
all: $(PLUGIN)

clean:
	rm -f *.o *.so

# build rules
.c.o:
	$(CC) -o $@ $(CFLAGS) -c $<

$(PLUGIN): $(OBJECTS)
	$(CC) -shared $^ $(LDFLAGS) -o $@ $(LDLIBS)

=== debian/changelog ===
mupen64plus-arm-pa64 (1) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri, 16 Jul 2010 14:18:45 +0200

=== debian/control ===
Source: mupen64plus-arm-pa64
Section: unknown
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libpulse-dev
Standards-Version: 3.7.2

Package: mupen64plus-arm-pa64
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mupen64plus-arm
Description: Simple PulseAudio sound plugin for Mupen64
 Pa64 is a really simple sound plugin for Mupen64/Mupen64Plus, using
 PulseAudio's Simple API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) CUSTOM_CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install $(CURDIR)/pa64.so \
		$(CURDIR)/debian/mupen64plus-arm-pa64/usr/lib/mupen64plus/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
